### Class

# St Theme

#### Description [src]

    final class St.Theme : GObject.Object
    {
      /* No available fields */
    }

A set of stylesheets

`StTheme` holds a set of stylesheets. (The “cascade” of the name Cascading Stylesheets.) A `StTheme` can be set to apply to all the actors in a stage using st_theme_context_set_theme().

#### Ancestors

- GObject

#### Constructors

###### st_theme_new

No description available.

#### Instance methods

###### st_theme_get_application_stylesheet

No description available.

###### st_theme_get_custom_stylesheets

Get a list of the stylesheet files loaded with st_theme_load_stylesheet().

###### st_theme_get_default_stylesheet

No description available.

###### st_theme_get_theme_stylesheet

No description available.

###### st_theme_load_stylesheet

Load the stylesheet associated with `file`.

###### st_theme_unload_stylesheet

Unload the stylesheet associated with `file`. If `file` was not loaded this function does nothing.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### St.Theme:application-stylesheet

The highest priority stylesheet, representing application-specific styling; this is associated with the CSS “author” stylesheet.

###### St.Theme:default-stylesheet

The lowest priority stylesheet, representing global default styling; this is associated with the CSS “user agent” stylesheet.

###### St.Theme:theme-stylesheet

The second priority stylesheet, representing theme-specific styling; this is associated with the CSS “user” stylesheet.

#### Signals

###### St.Theme::custom-stylesheets-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct StThemeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.